Subject: Re: [Cbor] Eric Rescorla's Discuss on draft-ietf-cbor-cddl-06: (with DISCUSS and COMMENT)

From: Carsten Bormann <[email-masked]>
Date: Thu, 14 Feb 2019 01:12:36 +0100

On Nov 21, 2018, at 14:10, Carsten Bormann <[email-masked]> wrote:
> 
>>> S 3.5.3.
>>>>                       mynumber = int / float
>>>> 
>>>> 3.5.3.  Non-deterministic order
>>>> 
>>>>    While the way arrays are matched is fully determined by the Parsing
>>>>    Expression Grammar (PEG) algorithm, matching is more complicated for
>>> 
>>> PEG is an informative reference, and this text seems to create a
>>> normative dependency.
>> 
>> Many of our specifications make use of theory in one form or another without needing a normative dependency to a textbook.
>> RFC 5234 does not even have a reference for BNF.  Since PEGs have been a staple for parsing theory only for less than 15 years, we thought a reference might be useful.
>> 
>> Then you need to rewrite this text, because here and below, it implies that I need to read PEG in order to understand this specification. 
> 
> That will be a bit more work than I can do today, so there will be a separate e-mail when that is done.

I’m sorry this took so long.  There is now a new Appendix A (normative) that defines the parts of PEG necessary for this specification:

https://tools.ietf.org/html/draft-ietf-cbor-cddl-07#appendix-A
https://tools.ietf.org/rfcdiff?url2=draft-ietf-cbor-cddl-07.txt

The authors believe that this should complete the changes necessary to clear the DISCUSS; please advise of any more work needed and any COMMENTS we have not fully addressed yet.

Grüße, Carsten